CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
CommandMessenger.Sender Class Reference

List of all members.

## Public Member Functions
| Sender (CommunicationManager communicationManager, ReceiveCommandQueue receiveCommandQueue)
ReceivedCommand | ExecuteSendCommand (SendCommand sendCommand, SendQueue sendQueueState)
| Directly executes the send command operation.
ReceivedCommand | ExecuteSendString (String commandsString, SendQueue sendQueueState)
| Directly executes the send string operation.
## Properties
ReceivedCommand | CurrentReceivedCommand`[get, set]`
| Gets or sets the current received command.
bool | PrintLfCr`[get, set]`
| Gets or sets a whether to print a line feed carriage return after each command.

## Member Function Documentation

ReceivedCommand CommandMessenger.Sender.ExecuteSendCommand | ( | SendCommand | sendCommand,
|  | SendQueue | sendQueueState
| ) |  |

Directly executes the send command operation.

Parameters:

  sendCommand | The command to sent.
  sendQueueState | Property to optionally clear the send and receive queues.

Returns:
  A received command. The received command will only be valid if the ReqAc of the command is true.

ReceivedCommand CommandMessenger.Sender.ExecuteSendString | ( | String | commandsString,
|  | SendQueue | sendQueueState
| ) |  |

Directly executes the send string operation.

Parameters:

  commandsString | The string to sent.
  sendQueueState | Property to optionally clear the send and receive queues.

Returns:
  The received command is added for compatibility. It will not yield a response.

## Property Documentation

ReceivedCommand CommandMessenger.Sender.CurrentReceivedCommand`[get, set]`

Gets or sets the current received command.

The current received command.

bool CommandMessenger.Sender.PrintLfCr`[get, set]`

Gets or sets a whether to print a line feed carriage return after each command.

true if print line feed carriage return, false if not.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Sender.cs